Page MenuHomePhabricator

Feature flag the page issues code
Closed, ResolvedPublic3 Story Points

Description

precursors

Coordinate with whoever is working on T206178

In preparation for shipping the page issues code, we should add a feature flag.

NOTE: This can be done in the feature branch OR master depending on progress in T208514

Acceptance criteria

  • Feature flag is disabled in production stable by default
  • Beta users see the new treatment
  • query override always get me new treatment

Sign off steps

Make sure a card exists for merging the feature branch

QA steps

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 3 2018, 10:23 PM
Jdlrobson triaged this task as High priority.Oct 8 2018, 9:03 PM
ovasileva set the point value for this task to 3.Oct 9 2018, 4:27 PM

Note: this should be considered a blocker from a technical POV for deployment. We'll be making some follow up changes as part of cleanup so we'll want 100% control of the release of this feature.

ovasileva renamed this task from Feature flag the page issues code to Feature branch: Feature flag the page issues code.Oct 17 2018, 5:20 PM
ovasileva updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Oct 17 2018, 5:22 PM
Jdlrobson renamed this task from Feature branch: Feature flag the page issues code to Feature flag the page issues code.Nov 8 2018, 5:59 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Nov 12 2018, 8:34 PM

Change 473080 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] page issues is feature flagged

https://gerrit.wikimedia.org/r/473080

Change 473080 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] page issues is feature flagged

https://gerrit.wikimedia.org/r/473080

Jdlrobson updated the task description. (Show Details)
ovasileva closed this task as Resolved.Nov 27 2018, 6:41 PM
ovasileva added a subscriber: ovasileva.

all done!